Subject: Re: Can git pull from a mercurial repository?

From: "Joachim Schmitz" <[email-masked]>
Date: Tue, 25 Sep 2012 14:56:09 +0200

Gelonida N wrote:
> On 09/18/2012 02:40 PM, Joachim Schmitz wrote:
>>> From: Andreas Ericsson [mailto:[email-masked]]
>>> Sent: Tuesday, September 18, 2012 1:46 PM
>>> To: Joachim Schmitz
>>> Cc: [email-masked]
>>> Subject: Re: Can git pull from a mercurial repository?
>>>
>>> On 09/18/2012 01:22 PM, Joachim Schmitz wrote:
>>>> Is there an easy way to get git to clone/pull from a Mercurial
>>>> repository?
>>>
>>> Yes. Google "git remote helpers" and you'll most likely find it.
>>
>> Well, I found a few. No idea how to get them to work though (so far
>> for the 'easy' part of my question) It seems
>> https://github.com/rfk/git-remote-hg requires Python 2.5
>> (and I only have 2.4), also I have no idea how to get it installed
>> https://github.com/SRabbelier/git is 3 years old, apparently never
>> made it into git, guess for a reason?  Then I found
>> https://github.com/fingolfin/git/commits/remote-hg,
>> looks very confusing to me...
>
> Install a newer python and hg
> Are you really sure, that python 2.5 doesn't exist for your machine?

Yes, I am sure. Python 2.4 had been ported more than 5 years ago by a former
workmate, otherwise we wouldn't even have that.

> Most non embedded devices should  offer python 2.5 or newer
> (for some distros you just have to add 'alternative' repositories)

For this platform (HP NonStop) basically nothing is available from any
repository on the web but ITUGLIB (http://ituglib.connect-community.org) and
that's the machine I'm working on/for ;-)

We're currently trying to port Python-2.7, but it ain't easy...

Bye, Jojo